package com.zyzf.coffeepreorder.database.repository

import androidx.paging.PagingData
import com.zyzf.coffeepreorder.database.model.User
import kotlinx.coroutines.flow.Flow

interface UserRepository {
    fun getAll(): Flow<PagingData<User>>
    suspend fun getByUid(uid: Int): User?
    suspend fun tryLogin(login: String, password: String): User?
    suspend fun insert(user: User): Long
    suspend fun update(user: User) : Int?
    suspend fun delete(user: User)
}